package org.davic.net.ca;



/** Event that carries a message from a CA0 (Common Interface)

  * module 

  */



public class CA0ModuleResponseEvent extends ModuleResponseEvent

{

  /** Constructor for the event

    * @param data the data of the response

    * @param tag the APDU tag

    * @param SessionID the sessionID of the session concerned

    * @param caModule the CAModule object representing the module that 

    *                 is the source of the event

    */

    public CA0ModuleResponseEvent(byte[] data, int tag, int SessionID,

	Object caModule) {

    }



  /** Returns the data bytes of the response. 

    * @return the data bytes of the response

    */

  public byte[] getData() {

    return null;

  }



  /** Returns the APDU tag of the response 

    * @return the APDU tag

    */

  public int getTag() {

    return 0;

  }



  /** Returns the CAModule that is the source of the event 

    * @return the CAModule object representing the CA module that is 

    *         is the source of the event

    */

  public Object getSource() {

    return null;

  }



}


