/**

 * This class enables the application to get a reference to a player that encapsulates the current stream 

 * which is playing at startup of the VM. The player is already in the started state.

 */



package org.davic.media;

import javax.media.Player;



public class StartUp 

{

	// package scope constructor to prevent javadoc generating a public one

	StartUp()

	{

	}

	/**

	 * If the application invokes this method before any player has been created it will return a 

	 * player that is in the started state representing the stream currently being played. If this 

	 * method is invoked after a player has been created it returns all the players that have been 

	 * created by the application up till then.

	 */



	public static Player[] getCurrentPlayers() {

		return null;

	}

}




