package org.davic.net.ca;



/** Event that carries a message from a CA1 module 

  */

public class CA1ModuleResponseEvent extends ModuleResponseEvent

{



  /** Constructor for the event

    * @param data the data of the response

    * @param sw1 the SW1 byte 

    * @param sw2 the SW2 byte 

    * @param SessionID the sessionID of the session concerned

    * @param caModule the CAModule object representing the module that 

    *                 is the source of the event

    */

    public CA1ModuleResponseEvent(byte[] data, byte sw1, byte sw2, 

	int SessionID, Object caModule) {

    }

 

  /** Returns the data bytes of the response. 

    * @return the data 

    */

  public byte[] getData() {

    return null;

  }

  

  /** Returns the smart card status word 1 of the response

    * @return the sw1 byte

    */

  public byte getSW1() {

    return (byte) 0;

  }

  

  /** Returns the smart card status word 2 of the response

    * @return the sw2 byte

    */

  public byte getSW2() {

    return (byte) 0;

  }

  

  /** Returns the CAModule that is the source of the event 

    * @return the CAModule object representing the CA module that is 

    *         is the source of the event

    */

  public Object getSource() {

    return null;

  }



}


