package org.havi.ui.event;



/*

 * Copyright 2000-2003 by HAVi, Inc. Java is a trademark of Sun

 * Microsystems, Inc. All rights reserved.  

 */



import java.awt.event.ActionListener;



/**

   The {@link org.havi.ui.event.HActionListener HActionListener}

   interface enables the reception of {@link

   org.havi.ui.event.HActionEvent HActionEvent} events, as generated

   by objects implementing {@link org.havi.ui.HActionable

   HActionable}.

    

  <hr>

  The parameters to the constructors are as follows, in cases where

  parameters are not used, then the constructor should use the default

  values.

  <p>

  <h3>Default parameter values exposed in the constructors</h3>

  <table border>

  <tr><th>Parameter</th><th>Description</th><th>Default value</th> 

  <th>Set method</th><th>Get method</th></tr>

  <tr><td colspan=5>None.</td></tr>

  </table>

  <h3>Default parameter values not exposed in the constructors</h3>

  <table border>

  <tr><th>Description</th><th>Default value</th><th>Set method</th>

  <th>Get method</th></tr>

  <tr><td colspan=4>None.</td></tr>

  </table>

   

*/



public interface HActionListener 

    extends java.awt.event.ActionListener

{

 



}


